Imports and exportsExport suite code

Export suite code

Export supported web or native mobile test source.

curl -X GET "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/export/playwright" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "code": "example_string",
  "filename": "John Doe"
}
GET
/suites/{suiteId}/export/{language}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
path
languagestring
Required
Options: playwright, appium
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

Path Parameters

languagestring
Required
Allowed values:playwrightappium

Responses

codestring

Exported test source.

filenamestring

Suggested filename.

Export supported web or native mobile test source. Use Playwright for a web suite and Appium for a native mobile suite.

Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.

For unattended pipelines, use the separately authenticated CI endpoints.